object ScalaDemo3 {
  def main(args: Array[String]): Unit = {
    //按照索引生成元组
    //集合中存储的每个元素都是有索引的，如果想要按照“元素->索引”这种形式生成一个新的集合，此时需要用到zipWithIndex()方法
    val i1 = Iterable("A","B","C","D","E");
    val i2 = i1.zipWithIndex//List(A,0),(B,1)。。。。
    //重新按照指定的格式生成新的集合
    val i3 = i1.zipWithIndex.map(x => x._2 -> x._1);
    println(i2)
    println(i3)
  }
}
